## Class template name_value_pair

zeep::name_value_pair — class used in describing members having a name and a value

## Synopsis

    // In header: <zeep/nvp.hpp>

    template<typename T>
    class name_value_pair {
    public:
      // construct/copy/destruct
      name_value_pair(const char *, T &);

      // public member functions
      const char * name() const;
      T & value() const;
      const T & const_value() const;
    };

## Description

This class is very similar to the one used in boost::serialization, it is used to bind a name to a member variable.

### `name_value_pair` public construct/copy/destruct

1.     name_value_pair(const char * name, T & value);

### `name_value_pair` public member functions

1.     const char * name() const;

2.     T & value() const;

3.     const T & const_value() const;